# coding: utf-8

"""
    ai/h2o/eval_studio/v1/insight.proto

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: version not set
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from pydantic import BaseModel, ConfigDict, Field
from typing import Any, ClassVar, Dict, List, Optional
from eval_studio_client.api.models.v1_leaderboard_report_evaluator import V1LeaderboardReportEvaluator
from eval_studio_client.api.models.v1_leaderboard_report_model import V1LeaderboardReportModel
from eval_studio_client.api.models.v1_leaderboard_report_result import V1LeaderboardReportResult
from typing import Optional, Set
from typing_extensions import Self

class V1LeaderboardReport(BaseModel):
    """
    LeaderboardReport represents the leaderboard report which is formed by the results, models and evaluator.
    """ # noqa: E501
    results: Optional[List[V1LeaderboardReportResult]] = Field(default=None, description="Output only. List of per test case results.")
    models: Optional[List[V1LeaderboardReportModel]] = Field(default=None, description="Output only. List of models which were used to create the results.")
    evaluator: Optional[V1LeaderboardReportEvaluator] = None
    __properties: ClassVar[List[str]] = ["results", "models", "evaluator"]

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of V1LeaderboardReport from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        """
        excluded_fields: Set[str] = set([
            "results",
            "models",
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        # override the default output from pydantic by calling `to_dict()` of each item in results (list)
        _items = []
        if self.results:
            for _item in self.results:
                if _item:
                    _items.append(_item.to_dict())
            _dict['results'] = _items
        # override the default output from pydantic by calling `to_dict()` of each item in models (list)
        _items = []
        if self.models:
            for _item in self.models:
                if _item:
                    _items.append(_item.to_dict())
            _dict['models'] = _items
        # override the default output from pydantic by calling `to_dict()` of evaluator
        if self.evaluator:
            _dict['evaluator'] = self.evaluator.to_dict()
        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of V1LeaderboardReport from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "results": [V1LeaderboardReportResult.from_dict(_item) for _item in obj["results"]] if obj.get("results") is not None else None,
            "models": [V1LeaderboardReportModel.from_dict(_item) for _item in obj["models"]] if obj.get("models") is not None else None,
            "evaluator": V1LeaderboardReportEvaluator.from_dict(obj["evaluator"]) if obj.get("evaluator") is not None else None
        })
        return _obj


