# coding: utf-8

"""
    ai/h2o/eval_studio/v1/insight.proto

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: version not set
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from datetime import datetime
from pydantic import BaseModel, ConfigDict, Field, StrictInt, StrictStr
from typing import Any, ClassVar, Dict, List, Optional
from eval_studio_client.api.models.v1_test_suite_evaluates import V1TestSuiteEvaluates
from typing import Optional, Set
from typing_extensions import Self

class V1PromptLibraryItem(BaseModel):
    """
    V1PromptLibraryItem
    """ # noqa: E501
    name: Optional[StrictStr] = None
    create_time: Optional[datetime] = Field(default=None, description="Output only. Timestamp when the item was created.", alias="createTime")
    creator: Optional[StrictStr] = Field(default=None, description="Output only. Name of the user or service that requested creation of the item.")
    update_time: Optional[datetime] = Field(default=None, description="Output only. Optional. Timestamp when the item was last updated.", alias="updateTime")
    updater: Optional[StrictStr] = Field(default=None, description="Output only. Optional. Name of the user or service that requested update of the item.")
    delete_time: Optional[datetime] = Field(default=None, description="Output only. Optional. Set when the item is deleted. When set, item should be considered as deleted.", alias="deleteTime")
    deleter: Optional[StrictStr] = Field(default=None, description="Output only. Optional. Name of the user or service that requested deletion of the item.")
    display_name: Optional[StrictStr] = Field(default=None, description="Human readable name of the item.", alias="displayName")
    description: Optional[StrictStr] = Field(default=None, description="Optional. Arbitrary description of the item.")
    test_suite_url: Optional[StrictStr] = Field(default=None, description="URL of the test suite which is represented by this library item.", alias="testSuiteUrl")
    test_count: Optional[StrictInt] = Field(default=None, description="Number of tests in the test suite.", alias="testCount")
    test_case_count: Optional[StrictInt] = Field(default=None, description="Number of test cases in the test suite.", alias="testCaseCount")
    evaluates: Optional[List[V1TestSuiteEvaluates]] = Field(default=None, description="Types of systems evaluated by this item - like RAG (has corpus), LLM (no corpus) or agents.")
    categories: Optional[List[StrictStr]] = Field(default=None, description="Categories of test cases in the item - like question_answering or summarization.")
    __properties: ClassVar[List[str]] = ["name", "createTime", "creator", "updateTime", "updater", "deleteTime", "deleter", "displayName", "description", "testSuiteUrl", "testCount", "testCaseCount", "evaluates", "categories"]

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of V1PromptLibraryItem from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        """
        excluded_fields: Set[str] = set([
            "name",
            "create_time",
            "creator",
            "update_time",
            "updater",
            "delete_time",
            "deleter",
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of V1PromptLibraryItem from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "name": obj.get("name"),
            "createTime": obj.get("createTime"),
            "creator": obj.get("creator"),
            "updateTime": obj.get("updateTime"),
            "updater": obj.get("updater"),
            "deleteTime": obj.get("deleteTime"),
            "deleter": obj.get("deleter"),
            "displayName": obj.get("displayName"),
            "description": obj.get("description"),
            "testSuiteUrl": obj.get("testSuiteUrl"),
            "testCount": obj.get("testCount"),
            "testCaseCount": obj.get("testCaseCount"),
            "evaluates": obj.get("evaluates"),
            "categories": obj.get("categories")
        })
        return _obj


