# coding: utf-8

"""
    ai/h2o/eval_studio/v1/insight.proto

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: version not set
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from datetime import datetime
from pydantic import BaseModel, ConfigDict, Field, StrictStr
from typing import Any, ClassVar, Dict, List, Optional
from typing import Optional, Set
from typing_extensions import Self

class V1WorkflowNodeArtifact(BaseModel):
    """
    WorkflowNodeArtifact represents an artifact produced/consumed by a WorkflowNode.
    """ # noqa: E501
    name: Optional[StrictStr] = Field(default=None, description="Resource name of the Workflow in format of `workflows/{workflow_id}/nodes/{node_id}/artifacts/{artifact_id}`.")
    parent: Optional[StrictStr] = Field(default=None, description="Output only. Immutable. Resource name of the parent WorkflowNode in format of `workflows/{workflow_id}/nodes/{node_id}`.")
    display_name: Optional[StrictStr] = Field(default=None, description="Human-readable name of the WorkflowNodeArtifact.", alias="displayName")
    description: Optional[StrictStr] = Field(default=None, description="Optional description of the WorkflowNodeArtifact.")
    create_time: Optional[datetime] = Field(default=None, description="Output only. Immutable. Creation time of the WorkflowNodeArtifact.", alias="createTime")
    creator: Optional[StrictStr] = Field(default=None, description="Output only. Immutable. Name of the user or service that requested creation of the WorkflowNodeArtifact.")
    update_time: Optional[datetime] = Field(default=None, description="Output only. Optional. Last update time of the WorkflowNodeArtifact.", alias="updateTime")
    updater: Optional[StrictStr] = Field(default=None, description="Output only. Name of the user or service that requested update of the WorkflowNodeArtifact.")
    delete_time: Optional[datetime] = Field(default=None, description="Output only. Optional. Deletion time of the WorkflowNodeArtifact.", alias="deleteTime")
    deleter: Optional[StrictStr] = Field(default=None, description="Output only. Name of the user or service that requested deletion of the WorkflowNodeArtifact.")
    mime_type: Optional[StrictStr] = Field(default=None, description="Optional MIME type of the WorkflowNodeArtifact.", alias="mimeType")
    type: Optional[StrictStr] = Field(default=None, description="Output only. Immutable. Type of the WorkflowNodeArtifact.")
    __properties: ClassVar[List[str]] = ["name", "parent", "displayName", "description", "createTime", "creator", "updateTime", "updater", "deleteTime", "deleter", "mimeType", "type"]

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of V1WorkflowNodeArtifact from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        """
        excluded_fields: Set[str] = set([
            "parent",
            "create_time",
            "creator",
            "update_time",
            "updater",
            "delete_time",
            "deleter",
            "type",
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of V1WorkflowNodeArtifact from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "name": obj.get("name"),
            "parent": obj.get("parent"),
            "displayName": obj.get("displayName"),
            "description": obj.get("description"),
            "createTime": obj.get("createTime"),
            "creator": obj.get("creator"),
            "updateTime": obj.get("updateTime"),
            "updater": obj.get("updater"),
            "deleteTime": obj.get("deleteTime"),
            "deleter": obj.get("deleter"),
            "mimeType": obj.get("mimeType"),
            "type": obj.get("type")
        })
        return _obj


